Bug 1346336 - New ipsilon-idp.conf doesn't work with mod_nss installed
Summary: New ipsilon-idp.conf doesn't work with mod_nss installed
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipsilon
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 14:58 UTC by Veronika Kabatova
Modified: 2016-12-28 21:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-28 20:20:07 UTC


Attachments (Terms of Use)

Description Veronika Kabatova 2016-06-14 14:58:48 UTC
Description of problem:
Unable to log in when having both mod_nss (default port 8443) and mod_ssl (default port 443) installed. 

Version-Release number of selected component (if applicable):
ipsilon-base-1.2.0-4.fc23.noarch
ipsilon-1.2.0-4.fc23.noarch
mod_nss-1.0.12-4.fc23.x86_64
mod_ssl-2.4.18-1.fc23.x86_64

How reproducible: always

Steps to Reproduce:
1. dnf install mod_nss ipsilon -y
2. ipsilon-server-install --testauth yes
3. service httpd restart
4. curl -k https://$(hostname)/idp

Actual results:
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>403 Forbidden</title>
</head><body>
<h1>Forbidden</h1>
<p>You don't have permission to access /idp
on this server.<br />
</p>
</body></html>


Expected results:
Page saying to log in is showed
With curl it should contain "<p>Please <a href="/idp/login">Log In</a>"


Additional info:
Looking in /etc/httpd/conf.d/ipsilon-idp.conf, buggy part is 

    <IfModule mod_nss.c>
        NSSRequireSSL
    </IfModule>
    <IfModule !mod_nss.c>
        SSLRequireSSL
    </IfModule>

Since mod_nss and mod_ssl are listening on different ports, they do not interfere. Commenting out everything except "SSLRequireSSL" works as a workaround (when keeping the default ports for modules).

This configuration would make sense in case both mod_nss and mod_ssl would listen on the same port, therefore we believe choosing between NSSRequireSSL and SSLRequireSSL should depend on:

1. mod_nss is installed
2. mod_nss and mod_ssl listen on the same port

Being dependent purely on point 1. chooses the wrong *RequireSSL and breaks the idp.

Comment 1 Fedora Update System 2016-09-10 09:42:03 UTC
ipsilon-1.2.0-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6bd3f53051

Comment 2 Fedora Update System 2016-09-10 09:42:15 UTC
ipsilon-1.2.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6b98bb01a

Comment 3 Fedora Update System 2016-09-10 09:42:23 UTC
ipsilon-1.2.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d629d017

Comment 4 Fedora Update System 2016-09-10 09:42:31 UTC
ipsilon-1.2.0-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-67ac430690

Comment 5 Fedora Update System 2016-09-11 04:53:05 UTC
ipsilon-1.2.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6b98bb01a

Comment 6 Fedora Update System 2016-09-11 05:22:32 UTC
ipsilon-1.2.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d629d017

Comment 7 Fedora Update System 2016-09-11 05:55:55 UTC
ipsilon-1.2.0-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6bd3f53051

Comment 8 Fedora Update System 2016-09-11 18:49:54 UTC
ipsilon-1.2.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-67ac430690

Comment 9 Jan Pazdziora 2016-09-15 16:18:36 UTC
FAILS_QA -- the /etc/httpd/conf.d/ipsilon-idp.conf -> /etc/ipsilon/idp/idp.conf still contains

<IfModule mod_nss.c>
    NSSRequireSSL
</IfModule>
<IfModule !mod_nss.c>
    SSLRequireSSL
</IfModule>

Comment 10 Fedora Update System 2016-10-31 09:59:14 UTC
ipsilon-2.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 11 Fedora Update System 2016-10-31 09:59:26 UTC
ipsilon-2.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 12 Fedora Update System 2016-10-31 09:59:35 UTC
ipsilon-2.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 13 Fedora Update System 2016-11-01 02:21:15 UTC
ipsilon-2.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 14 Fedora Update System 2016-11-01 18:22:11 UTC
ipsilon-2.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 15 Jan Pazdziora 2016-11-02 09:08:49 UTC
With ipsilon-2.0.0-1.fc24.noarch, the *RequireSSL directives are no longer there and steps from comment 0 produce working WebUI.

Comment 16 Fedora Update System 2016-11-06 01:51:18 UTC
ipsilon-2.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 17 Fedora End Of Life 2016-11-25 09:18:27 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Jan Pazdziora 2016-11-25 14:26:49 UTC
I still see the issue on Fedora 25 with ipsilon-1.2.0-5.fc25.noarch.

Comment 19 Fedora Update System 2016-12-04 02:07:11 UTC
ipsilon-2.0.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 20 Fedora Update System 2016-12-04 02:13:04 UTC
ipsilon-2.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 21 Fedora Update System 2016-12-04 02:13:29 UTC
ipsilon-2.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 22 Fedora Update System 2016-12-06 03:23:59 UTC
ipsilon-2.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 23 Fedora Update System 2016-12-06 03:56:28 UTC
ipsilon-2.0.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 24 Fedora Update System 2016-12-06 03:59:04 UTC
ipsilon-2.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 25 Fedora Update System 2016-12-28 20:20:07 UTC
ipsilon-2.0.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-12-28 21:48:44 UTC
ipsilon-2.0.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.